import error after installing Graphlab-Create

User 2785 | 3/2/2016, 1:18:19 AM

created new virtual environment: [lisafeets@s0021 churn_ua]$ virtualenv churn_stuffs

activated env [lisafeets@s0021 churn_ua]$ source churn_stuffs/bin/activate (churn_stuffs)[lisafeets@s0021 churn_ua]$

pip installed requirements.txt (churn_stuffs)[lisafeets@s0021 dandelion]$ pip list pip (1.4.1) setuptools (0.9.8) (churn_stuffs)[lisafeets@s0021 dandelion]$ pip install -r requirements.txt

verified packages are there (churn_stuffs)[lisafeets@s0021 dandelion]$ pip list argparse (1.4.0) awscli (1.6.2) backports.ssl-match-hostname (3.5.0.1) bcdoc (0.12.2) boto (2.33.0) boto3 (1.2.3) botocore (0.73.0) certifi (2015.04.28) colorama (0.2.5) decorator (3.4.0) docutils (0.12) futures (3.0.3) GraphLab-Create (1.8.1) GraphLab-Create-License (1.8.1) jmespath (0.5.0) mixpanel-py (3.1.1) multipledispatch (0.4.8) ordereddict (1.1) pip (1.4.1) prettytable (0.7.2) pyasn1 (0.1.9) python-dateutil (2.5.0) requests (2.3.0) rsa (3.1.2) setuptools (0.9.8) simplejson (3.3.0) six (1.10.0) sseclient (0.0.8) tornado (4.1)

and yet I get this import error when trying to run a script: (churn_stuffs)[lisafeets@s0021 churn_ua]$ python s3_playaround.py Traceback (most recent call last): File "s3_playaround.py", line 2, in <module> import graphLab as gl ImportError: No module named graphLab

thoughts?

Comments

User 2785 | 3/2/2016, 5:29:41 AM

solved: after much futzing I realized I had left in a typo in the import: was using graphLab not graphlab


User 1359 | 3/2/2016, 6:19:50 PM

glad to hear that you found the issue!